Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.compoze.collab.exchange
Class SensitivityEnum

    java.lang.Object
      |
      +--com.compoze.collab.CollabEnum
            |
            +--com.compoze.collab.exchange.SensitivityEnum

All Implemented Interfaces:
  com.compoze.collab.util.IDigestSupport, java.io.Serializable

public class SensitivityEnum
extends CollabEnum
implements java.io.Serializable

This class is used to represent the level of confidentiality of a message in Exchange. The enumeration class that contains `Sensitivity` elements.

See Also:
  Serialized Form

Field Summary
`static Sensitivity` | `CONFIDENTIAL`
`static Sensitivity` | `NONE`
`static int` | `NUM_ELEMENTS`
`static Sensitivity` | `PERSONAL`
`static Sensitivity` | `PRIVATE`
`static int` | `VALUE_CONFIDENTIAL`
`static int` | `VALUE_NONE`
`static int` | `VALUE_PERSONAL`
`static int` | `VALUE_PRIVATE`

Fields inherited from class com.compoze.collab.CollabEnum
`m_elements`

Constructor Summary
`protected` | `SensitivityEnum(java.lang.Class elementClass, int iNumElements, com.compoze.collab.resource.ResourceBundleWrapper rbWrapper, EnumElement defaultElement, java.lang.String sInternalName, boolean bMaskable)` Constructor.
`protected` | `SensitivityEnum(int iNumElements)`

Method Summary
`static CollabEnum` | `i()` Gets the singleton.

Methods inherited from class com.compoze.collab.CollabEnum
`addElement, getDefaultElement, getElement, getElements, getInternalName, getRawElements, getResourceBundle, isDefaultElement, setDefaultElement, updateDigest`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### VALUE_NONE

    public static final int VALUE_NONE

### VALUE_PERSONAL

    public static final int VALUE_PERSONAL

### VALUE_PRIVATE

    public static final int VALUE_PRIVATE

### VALUE_CONFIDENTIAL

    public static final int VALUE_CONFIDENTIAL

### NUM_ELEMENTS

    public static final int NUM_ELEMENTS

### NONE

    public static final Sensitivity NONE

### PERSONAL

    public static final Sensitivity PERSONAL

### PRIVATE

    public static final Sensitivity PRIVATE

### CONFIDENTIAL

    public static final Sensitivity CONFIDENTIAL

Constructor Detail

### SensitivityEnum

    protected SensitivityEnum(java.lang.Class elementClass,
                              int iNumElements,
                              com.compoze.collab.resource.ResourceBundleWrapper rbWrapper,
                              EnumElement defaultElement,
                              java.lang.String sInternalName,
                              boolean bMaskable)

  Constructor.

### SensitivityEnum

    protected SensitivityEnum(int iNumElements)

Method Detail

### i

    public static CollabEnum i()

  Gets the singleton.

Overview | Package | Class | Tree | Deprecated | Index | Help
| BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ©1999-2005 BEA Systems, Inc. All rights reserved.